petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBoxAuthorize

Get authorization and refresh token for accessing Box drive from PETSc

### Synopsis

    PetscErrorCode PetscBoxAuthorize(MPI_Comm comm,char access_token[],char refresh_token[],size_t tokensize)

Not collective, only the first process in MPI_Comm does anything Many br

### Input Parameters

| comm | - the MPI communicator Many br
| tokensize | - size of the token arrays Many br

### Output Parameters

| access_token | - can be used with PetscBoxUpload() for this one session Many br
| refresh_token | - can be used for ever to obtain new access_tokens with PetscBoxRefresh(), guard this like a password Many brit gives access to your Box Drive Many br

Notes: This call requires stdout and stdin access from process 0 on the MPI communicator Many br

You can run src/sys/webclient/examples/tutorials/boxobtainrefreshtoken to get a refresh token and then in the future pass it to Many brPETSc programs with -box_refresh_token XXX Many br

This requires PETSc be installed using --with-saws or --download-saws Many br

Requires the user have created a self-signed ssl certificate with Many br

       saws/CA.pl  -newcert  (using the passphrase of password)

       cat newkey.pem newcert.pem > sslclient.pem

and put the resulting file in either the current directory (with the application) or in the home directory. This seems kind of Many brsilly but it was all I could figure out. Many br

Many br

### See Also

PetscBoxRefresh(), PetscBoxUpload(), PetscURLShorten()

Level:intermediate
Location:src/sys/webclient/box.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages src/sys/webclient/examples/tutorialsboxobtainrefreshtoken.c.html